Retrieve the current salary record

Retrieves the salary record currently in effect for an employee - the one with the latest effective_from date on or before today.

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employee_idstringRequiredformat: "ee_.+"

Response

OK
idstringformat: "sal_.+"
Unique identifier for the salary record
employee_idstringformat: "ee_.+"
Unique identifier for the employee this salary belongs to
amountdouble
Salary amount, in the given currency and pay frequency
currencyenum
ISO currency code the amount is denominated in
pay_frequencyenum

The period this amount represents (e.g. annual, monthly)

effective_fromdate
Date from which this salary is effective
objectstringOptionalRead-only
The object type

Errors

404
Not Found Error